## GOCharmapSel

GOCharmapSel

## Functions

gchar const * | go_charmap_sel_get_encoding ()
const char * | go_charmap_sel_get_encoding_name ()
GtkWidget * | go_charmap_sel_new ()
gboolean | go_charmap_sel_set_encoding ()

## Properties

guint | TestDirection | Read / Write

## Signals

void | charmap-changed | Run Last

## Types and Values

| GOCharmapSel
enum | GOCharmapSelTestDirection

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GOCharmapSel

## Implemented Interfaces

GOCharmapSel implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### go_charmap_sel_get_encoding ()

    gchar const *
    go_charmap_sel_get_encoding (GOCharmapSel *cs);

### go_charmap_sel_get_encoding_name ()

    const char *
    go_charmap_sel_get_encoding_name (GOCharmapSel *cs,
                                      const char *enc);

### go_charmap_sel_new ()

    GtkWidget *
    go_charmap_sel_new (GOCharmapSelTestDirection test);

### go_charmap_sel_set_encoding ()

    gboolean
    go_charmap_sel_set_encoding (GOCharmapSel *cs,
                                 const char *enc);

## Types and Values

### GOCharmapSel

    typedef struct _GOCharmapSel GOCharmapSel;

### enum GOCharmapSelTestDirection

#### Members

GO_CHARMAP_SEL_TO_UTF8 | to UTF-8. |
GO_CHARMAP_SEL_FROM_UTF8 | from UTF-8. |

## Property Details

### The `“TestDirection”` property

      “TestDirection”            guint

This value determines which iconv test to perform.

Owner: GOCharmapSel

Flags: Read / Write

Allowed values: <= 1

Default value: 0

## Signal Details

### The `“charmap-changed”` signal

    void
    user_function (GOCharmapSel *gocharmapsel,
                   gpointer      arg1,
                   gpointer      user_data)

Flags: Run Last